Add Chatbot Prompt
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"temperature": "<string>"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts"
payload = {
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"temperature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
instructions: '<string>',
temperature: '<string>'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added a custom prompt to the chatbot successfully",
"data": {
"prompt": {
"id": "c50191ee-85d0-4f46-9448-3ab74441c9fb",
"title": "Random",
"description": "Prompt for random replies",
"instructions": "You are an AI assistant who provides random answers for all the questions asked.",
"temperature": 0.99
}
}
}Instructions
Add Chatbot Prompt
Add a custom prompt to the chatbot
POST
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
prompts
Add Chatbot Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request Body to add a custom prompt to the chatbot
Request body
Title of the prompt.
Short description about the prompt.
Actual instructions that will be specified to the AI while generating the response.
Decides creativity level of the chatbot response. 0 is more focused and 1 is more creative/random.
Was this page helpful?
⌘I